      SUBROUTINE LRSCAN 
C*BEGIN COMMON 
      COMMON SNAP,SNAPSHT(247), 
     +   DATE,REMKL,REMCOM,REMBASE,REMRES,REMTIME,STARKL,BASEKL,
     +   KILLK,KILLC,GALAXY(8,8),CX(10),CY(10),BASEQX(5),BASEQY(5), 
     +   NEWSTUF(8,8),PLNETS(10,5),ISX,ISY,NSCREM,NROMKL,NROMREM,
     +   NSCKILL,NPLANKL,ISATB,BATX,BATY,THINGX,THINGY,
     +   QUAD(10,10),KX(20),KY(20),KPOWER(20),KDIST(20),KSTUF(20),  
     +   FUTURE(10),MESSAGE(5,10),
     +   INKLING,INBASE,INRESOR,INCOM,INTIME,INSTAR,INENRG,INSHLD,
 CITE,IPHWHO,
     +   CRACKS(12) 
      INTEGER SHLDUP,CONDIT,QUADX,QUADY,SECTX,SECTY,TORPS,
     +   REMKL,REMBASE,SKILL,REMCOM,GALAXY,STARCH,CX,CY, 
     +   SHIP,ALLDONE,BASEQX,BASEQY,BASEX,BASEY,GAMEWON, 
     +   ALIVE,STARKL,BASEKL,CASUAL,COMHERE,RESTING,SNAP,SHLDCHG, 
     +   THINGX,THINGY,BATX,BATY,PLNETX,PLNETY,PLNETS
      REAL KDIST,KPOWER,LSUPRES,INTIME,INRESOR,INDATE,INSHLD,   
     +   INENRG,INLSR 
	BYTE QUAD
	REAL*8 DEVICE,PASSWD
C*END COMMON 
	LOGICAL*1 IHS,IHR,IHC,IHK,IHE,IHF,IHBLANK,IHDOT,IHP,IHB
	+ ,IHSTAR,IHT,IHQUEST,IHNUM
      COMMON /HOLLER/ IHEOL,IHREAL,IHALPHA,IHS,IHR,IHC,IHK,IHGREEN  
     +               ,IHRED,IHYELLO,IHDOCKD,IHE,IHF,IHBLANK,IHDOT   
     +               ,IHQUEST,IHP,IHSTAR,IHB,IHT,IHNUM
      IF(DAMAGE(2) .NE. 0 .AND. CONDIT .NE. IHDOCKD) GOTO 40
      CALL SKIP(1)
      CALL CRAM(14HL. R. SCAN FOR)
      CALL CRAMLOC(1,QUADX,QUADY) 
      CALL CREND
      I=QUADX-1 
      II=QUADX+1
      J=QUADY-1 
      JJ=QUADY+1
      DO 30 L=I,II
      DO 10 LL=J,JJ 
      IVAL=-1 
      IF(L.EQ.0 .OR. L.GT.8 .OR. LL.EQ.0 .OR. LL.GT.8) GO TO 10 
      IVAL=GALAXY(L,LL) 
      STARCH(L,LL)=1
 10   CALL CRAMI(IVAL,5)
 30   CALL CREND
      RETURN
 40   CALL PROUT(22HL. R. SENSORS DAMAGED.,22) 
      RETURN
      END 
